Bug 124713 - Xorg X server crashes on i810
Summary: Xorg X server crashes on i810
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-28 18:13 UTC by Alexei Dets
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 22:28:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of the currently running X server (31.07 KB, text/plain)
2004-05-28 18:14 UTC, Alexei Dets
no flags Details
Log of X server after crash (29.03 KB, text/plain)
2004-05-28 18:17 UTC, Alexei Dets
no flags Details
Xorg configuration file (3.23 KB, text/plain)
2004-05-28 18:20 UTC, Alexei Dets
no flags Details

Description Alexei Dets 2004-05-28 18:13:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
After upgrade of Fedora Core 1 to Fedora Core 2 I'm having random crashes of Xorg X-server. It happens randomly, I can't predict crashes. Seems that they tend to happen during some activity (for example, if rpm/apt is actively doing something etc.). This never happend with XFree86 from FC1. What is especially bad that it seems that crash locks current video mode (and a graphics chip?) in some way - screen becomes completely black (empty), switching to other VT doesn't work (videomode doesn't switch, so I don't see anything) and X-server doesn't restart. Reboot with Ctrl-Alt-Del does work (as well as the system in general - ssh etc.). KDM is running but X server not.
This all happens on the PIII-500 system with i810e chipset - Dell OptiPlex GX110. I'm attaching logs (found after reboot) and X configuration file.

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2

How reproducible:
Sometimes

Steps to Reproduce:
Work in KDE started with KDM. MAY BE it will crash after some time. Crashes are completely random, unfortunately :-(

Expected Results:  X server should not crash.

Additional info:

Comment 1 Alexei Dets 2004-05-28 18:14:50 UTC
Created attachment 100672 [details]
Log of the currently running X server

Comment 2 Alexei Dets 2004-05-28 18:17:37 UTC
Created attachment 100673 [details]
Log of X server after crash

Seems that this is the log of the X server that was started by KDM but was not
able to start after previous server crashed

Comment 3 Alexei Dets 2004-05-28 18:20:11 UTC
Created attachment 100676 [details]
Xorg configuration file

Yes, xorg.conf was not created, I'm still using the same XF86Config
configuration file from FC1

Comment 5 Mike A. Harris 2004-09-01 20:11:43 UTC
Please upgrade to rawhide kernel and xorg-x11, and if the problem
still exists, you can file a bug report in X.Org bugzilla located
at http://bugs.freedesktop.org in the "xorg" component, and then
paste the bug report URL here and we will track the upstream bug
report for you, and consider including any fixes that become available
when we do xorg-x11 updates in the future.

Thanks in advance for testing the new X build.

Comment 6 Mike A. Harris 2004-09-09 22:28:51 UTC
Setting status to "RAWHIDE" xorg-x11-6.8.0-1


Note You need to log in before you can comment on or make changes to this bug.